Telephony
Complete call and store transcript
POST /telephony/callCompleted
POST /telephony/callCompleted
Called when a call is completed to store the final transcript and call details
Request body
ticketIdintegerbodyOptional ticket id of the enneo call ticket. If provided, the transcript will be attached to the given ticket id
channelIdstringbodyrequiredUnique identifier of a third party system of this call. If a channelId was provided during a previous /agentConnected api call, the transcript will be appended to the corresponding ticket
transcriptobject[]bodyrequiredComplete transcript of the call
durationintegerbodyDEPRECATED: Use totalDurationSeconds instead
totalDurationSecondsintegerbodyTotal call duration from start to end in seconds
botDurationSecondsintegerbodyDuration spent with the voice bot (automated conversation) in seconds
queueDurationSecondsintegerbodyDuration spent waiting in queue for an agent in seconds
humanDurationSecondsintegerbodyDuration spent talking with a human agent in seconds
Request Example
{
"ticketId": 123,
"channelId": "call_123abc456",
"transcript": [
{
"speaker": "agent",
"message": "Hello, my name is AI Assistant. How can I help you today?",
"timestamp": "2024-01-23T14:32:11Z"
}
],
"duration": 300,
"totalDurationSeconds": 300,
"botDurationSeconds": 45,
"queueDurationSeconds": 30,
"humanDurationSeconds": 225
}Responses
200 — Successful operation
Response Example
{
"success": true
}400 — Invalid input
404 — Ticket not found
500 — Internal error